#pragma once

struct CommandInfo;
struct ScriptLineBuffer;
struct ScriptBuffer;

void Hook_Script_Init();
bool ParseNestedFunction(CommandInfo* cmd, ScriptLineBuffer* lineBuf, ScriptBuffer* scriptBuf);
bool ParsingExpression();	// returns true if we are parsing an OBSE expression

void RegisterLoopStart(UInt8* offsetPtr);
bool HandleLoopEnd(UInt32 offsetToEnd);

void ResetActivationRecurseDepth();

#if !OBLIVION
void Hook_Compiler_Init();
#endif


	